# Generated from rodauth-2.36.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rodauth

Name: rubygem-%{gem_name}
Version: 2.36.0
Release: 1%{?dist}
Summary: Authentication and Account Management Framework for Rack Applications
License: MIT
URL: https://rodauth.jeremyevans.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(tilt)
# BuildRequires: rubygem(rack_csrf)
# BuildRequires: rubygem(bcrypt)
# BuildRequires: rubygem(argon2) >= 2
# BuildRequires: rubygem(mail)
# BuildRequires: rubygem(rotp)
# BuildRequires: rubygem(rqrcode)
# BuildRequires: rubygem(jwt)
# BuildRequires: rubygem(webauthn) >= 2
# BuildRequires: rubygem(minitest) >= 5.0.0
# BuildRequires: rubygem(minitest-global_expectations)
# BuildRequires: rubygem(minitest-hooks) >= 1.1.0
# BuildRequires: rubygem(capybara) >= 2.1.0
BuildArch: noarch

%description
Rodauth is Ruby's most advanced authentication framework, designed
to work in all rack applications.  It's built using Roda and Sequel,
but it can be used as middleware in front of web applications that use
other web frameworks and database libraries.
Rodauth aims to provide strong security for password storage by
utilizing separate database accounts if possible on PostgreSQL,
MySQL, and Microsoft SQL Server.  Configuration is done via
a DSL that makes it easy to override any part of the authentication
process.
Rodauth supports typical authentication features: such as login and
logout, changing logins and passwords, and creating, verifying,
unlocking, and resetting passwords for accounts.  Rodauth also
supports many advanced authentication features:
* Secure password storage using security definer database functions
* Multiple primary multifactor authentication methods (WebAuthn and
TOTP), as well as backup multifactor authentication methods (SMS
and recovery codes).
* Passwordless authentication using email links and WebAuthn
authenticators.
* Both standard HTML form and JSON API support for all features.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/dict
%{gem_instdir}/javascript
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc

%changelog
* Tue Jul 23 2024 mockbuilder - 2.36.0-1
- Initial package
